def make_matplotlibrc(linescolor = "C0", boxplotcolor = "0050AA", textcolor = "black", obszar="domyslne"):
    color1 = '0050aa' # granat UMK
    color2 = 'ffcd00' # zolty UMK
    color3 = 'aa2896' # fiolet - obszar nauk spolecznych
    color4 = '00affa' # jasnoniebieski - obszar nauk humanistycznych
    color5 = '00a550' # ciemnozielony - obszar nauk przyrodniczych
    color6 = 'aad23c' # jasnozielony - obszar nauk scislych
    color7 = 'ff8228' # popmaranczowy - obszar sztuki
    color8 = 'fa1414' # czerwony - obszar nauk medycznych

    color9 = '1d1d1b' #czarny
    color10 = '575756' #ciemna szarosc
    color11 = 'dadada' #jasna szarosc
    
    if obszar == "spoleczne":
        axesprop = "axes.prop_cycle : cycler('color', ['%s', '%s', '%s', '%s', '%s', '%s', '%s'])" % (color3, color1, color2, '1984ff', 'ffdb47', 'bedcff', 'fff0b1')
    if obszar == "humanistyczne":
        axesprop = "axes.prop_cycle : cycler('color', ['%s', '%s', '%s', '%s', '%s', '%s', '%s'])" % (color4, color1, color2, '1984ff', 'ffdb47', 'bedcff', 'fff0b1')
    if obszar == "przyrodnicze":
        axesprop = "axes.prop_cycle : cycler('color', ['%s', '%s', '%s', '%s', '%s', '%s', '%s'])" % (color5, color1, color2, '1984ff', 'ffdb47', 'bedcff', 'fff0b1')
    if obszar == "scisle":
        axesprop = "axes.prop_cycle : cycler('color', ['%s', '%s', '%s', '%s', '%s', '%s', '%s'])" % (color6, color1, color2, '1984ff', 'ffdb47', 'bedcff', 'fff0b1')
    if obszar == "sztuka":
        axesprop = "axes.prop_cycle : cycler('color', ['%s', '%s', '%s', '%s', '%s', '%s', '%s'])" % (color7, color1, color2, '1984ff', 'ffdb47', 'bedcff', 'fff0b1')
    if obszar == "medyczne":
        axesprop = "axes.prop_cycle : cycler('color', ['%s', '%s', '%s', '%s', '%s', '%s', '%s'])" % (color8, color1, color2, '1984ff', 'ffdb47', 'bedcff', 'fff0b1')
    if obszar == "domyslne":
        axesprop = "axes.prop_cycle : cycler('color', ['%s', '%s'])" % (color1, color2)
    if obszar == "domyslne2":
        axesprop = "axes.prop_cycle : cycler('color', ['%s', '%s', '%s', '%s', '%s', '%s'])" % ('0050aa', '0069e1', '1984ff', '50a1ff', '87bfff', 'bedcff')
    if obszar == "domyslne3":
        axesprop = "axes.prop_cycle : cycler('color', ['%s', '%s', '%s', '%s', '%s', '%s'])" % ('ffcd00', 'ffd423', 'ffdb47', 'ffe26a', 'ffe98e', 'fff0b1')
        
    #axesprop = "axes.prop_cycle : cycler('color', ['0050aa', 'ffcd00', 'aa2896', '00affa', '00a550', 'aad23c', 'ff8228', 'fa1414'])"

    linesparm = ["lines.linewidth:  ","2", 
             "\nlines.linestyle:  ", "-", 
             "\nlines.color:  ", linescolor, 
             "\nlines.markersize:  ", "10"]
    
    boxplotparm = ["boxplot.flierprops.color:  ", boxplotcolor, 
                  "\nboxplot.boxprops.color:  ", boxplotcolor, 
                  "\nboxplot.boxprops.linewidth:  ", "1.0"
                  "\nboxplot.boxprops.linestyle:  ", "-"]
    
    fontparm = ["font.family:  ", "Calibri"
                  "\nfont.size:  ", "18.0"]
    
    textparm = ["text.color:  ", textcolor]

    ## * COLOR CYCLER
    #axesprop = "axes.prop_cycle : cycler('color', ['0050aa', 'ffcd00', 'aa2896', '00affa', '00a550', 'aad23c', 'ff8228', 'fa1414'])"
    
    
    
    f = open("matplotlibrc", "w+")
    f.write("##\n")
    f.write("## MATPLOTLIBRC FORMAT\n")
    f.write("## NOTE FOR END USERS: DO NOT EDIT THIS FILE!\n\n")
    
    f.write("## * LINES\n")
    f.writelines(linesparm)
    
    f.write("\n\n## * BOXPLOT\n")
    f.writelines(boxplotparm)
    
    f.write("\n\n## * FONT\n")
    f.writelines(fontparm)
    
    f.write("\n\n## * TEXT \n")
    f.writelines(textparm)
    
    f.write("\n\n## * COLOR CYCLER \n")
    f.writelines(axesprop)

    f.write("\n")
    
    
    f.close()

make_matplotlibrc()