import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

import szablonyUMK
#szablonyUMK.make_matplotlibrc()
#szablonyUMK.make_matplotlibrc(obszar="spoleczne")
#szablonyUMK.make_matplotlibrc(obszar="humanistyczne")
#szablonyUMK.make_matplotlibrc(obszar="przyrodnicze")
szablonyUMK.make_matplotlibrc(obszar="scisle")
#szablonyUMK.make_matplotlibrc(obszar="sztuka")
#szablonyUMK.make_matplotlibrc(obszar="medyczne")
#szablonyUMK.make_matplotlibrc(obszar="domyslne")
#szablonyUMK.make_matplotlibrc(obszar="domyslne2")
#szablonyUMK.make_matplotlibrc(obszar="domyslne3")

#dane pochodzą ze strony stat.gov.pl
dane = pd.read_csv("dane-testowe-wizualizacji-umk.csv",  sep = ';', error_bad_lines=False, index_col=False, encoding='cp1250')
dane2 = pd.read_csv("dane-testowe-wizualizacji-umk2.csv",  sep = ';', error_bad_lines=False, index_col=False, encoding='cp1250')

# Dane dotyczące studentów
kolumny = dane.columns[1:]
ogolem = dane.iloc[0,1:13].astype(float)
mezczyzni = dane.iloc[1, 1:13].astype(float)
kobiety = dane.iloc[2, 1:13].astype(float)
# Dane dotyczące absolwentów
ogolemA = dane2.iloc[0,1:13].astype(float)
mezczyzniA = dane2.iloc[1, 1:13].astype(float)
kobietyA = dane2.iloc[2, 1:13].astype(float)



#Wykres slupkowy zgrupowany 2
m = np.arange(len(kolumny))
s = 0.2    #szerokość słupka

_, ax = plt.subplots(1)
ax.bar(kolumny, mezczyzni,  width = s)       
ax.bar(m - s, kobiety, width = s)  
ax.bar(m + s, mezczyzniA, width = s)
ax.bar(m + 2*s, kobietyA, width = s)
plt.legend(['Kobiety studentki', 'Mężczyźni studenci', 'Kobiety absolwentki', 'Mężczyźni absolwenci'], loc = "best", fontsize="xx-small",  bbox_to_anchor=(1,1))
plt.title("Liczba studentów i absolwentów w Polsce w latach 2008-2018 wg płci")
plt.xlabel("Rok")
plt.ylabel("Liczba studentów")
ax.set_ylim(bottom=0)
plt.ticklabel_format(style='plain', axis='y')
plt.show()