import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

import szablonyUMK
#szablonyUMK.make_matplotlibrc()
#szablonyUMK.make_matplotlibrc(obszar="spoleczne")
#szablonyUMK.make_matplotlibrc(obszar="humanistyczne")
#szablonyUMK.make_matplotlibrc(obszar="przyrodnicze")
szablonyUMK.make_matplotlibrc(obszar="scisle")
#szablonyUMK.make_matplotlibrc(obszar="sztuka")
#szablonyUMK.make_matplotlibrc(obszar="medyczne")
#szablonyUMK.make_matplotlibrc(obszar="domyslne")
#szablonyUMK.make_matplotlibrc(obszar="domyslne2")
#szablonyUMK.make_matplotlibrc(obszar="domyslne3")

#dane pochodzą ze strony stat.gov.pl
dane3 = pd.read_csv("dane-testowe-wizualizacji-umk3.csv",  sep = ';', error_bad_lines=False, index_col=False, encoding='cp1250')
typ = dane3['Typ']
wartosci = dane3['wartosc']

plt.pie(wartosci,
        labels = typ, #nazwy poszczególnych kawałków
        autopct = '%1.1f%%', #wartości procentowe na wykresie 
        textprops={'fontsize': "x-small"},
        startangle=90, #ustawienie pierwszego wycinka
        counterclock=False #układ zgodny z ruchem wskazówek zegara
        )
plt.title("Struktura studentów w Polsce w 2018 roku wg typów uczelni")
plt.show()
