#Załadowanie bibliotek 
import matplotlib.pyplot as plt

#Załadowanie szablonów
import szablonyUMK
szablonyUMK.make_matplotlibrc()
#szablonyUMK.make_matplotlibrc(obszar="spoleczne")
#szablonyUMK.make_matplotlibrc(obszar="humanistyczne")
#szablonyUMK.make_matplotlibrc(obszar="przyrodnicze")
#szablonyUMK.make_matplotlibrc(obszar="scisle")
#szablonyUMK.make_matplotlibrc(obszar="sztuka")
#szablonyUMK.make_matplotlibrc(obszar="medyczne")
#szablonyUMK.make_matplotlibrc(obszar="domyslne")
#szablonyUMK.make_matplotlibrc(obszar="domyslne2")
#szablonyUMK.make_matplotlibrc(obszar="domyslne3")


#--------------------------------#--------------------------------#
# WYKRES LINIOWY
# Link do dokumentacji : https://matplotlib.org/stable/api/_as_gen/matplotlib.pyplot.plot.html
_, ax = plt.subplots(1)
ax.plot(daneX, daneY)      # Zbudowanie wykresu
plt.title("Tytuł wykresu")  # Nadanie tytułu wykresu
plt.xlabel("Opis osi X")    # Opis osi X
plt.ylabel("Opis osi Y")    # Opis osi Y
plt.show()                  # Wyświetlenie wykresu

'''
Można dodać dodatkowe argumenty do .plot :
plt.plot(daneX, daneY, marker = 'o', linestyle = 'dashed', linewidth = 3, markersize = 12)
marker - punktowe oznaczenie danej
linestyle - styl lini
linewidth - grubość lini
markersize - wielkość markera

Tych samych argumentów używamy w wykresach zgrupowanych. 
Dodatkowe argumenty można znaleźć w dokumentacji.
'''



#--------------------------------#--------------------------------#
# WYKRES LINIOWY WIELOKROTNY
_, ax = plt.subplots(1)
ax.plot(daneX, daneY)
ax.plot(daneX, daneY2)     
ax.plot(daneX, daneY3)
ax.plot(daneX, daneY4)     # w ten sposób dodajemy kolejne grupy danych

plt.title("Tytuł wykresu")  # Nadanie tytułu wykresu
plt.xlabel("Opis osi X")    # Opis osi X
plt.ylabel("Opis osi Y")    # Opis osi Y
plt.legend(['daneY', 'daneY2', 'daneY3', 'daneY4'], loc = "best")   # Opisy danych
plt.show()                  # Wyświetlenie wykresu



#--------------------------------#--------------------------------#
# WYKRES PUNKTOWY
# Link do dokumentacji : https://matplotlib.org/stable/api/_as_gen/matplotlib.pyplot.scatter.html

_, ax = plt.subplots(1)
ax.scatter(daneX, daneY)
#ax.scatter(daneX, daneY2)  #dodanie kolejnej grupy danych
plt.title("Tytuł wykresu")  # Nadanie tytułu wykresu
plt.xlabel("Opis osi X")    # Opis osi X
plt.ylabel("Opis osi Y")    # Opis osi Y
plt.show()                  # Wyświetlenie wykresu

'''
Można dodać dodatkowe argumenty do .scatter :
plt.scatter(daneX, daneY, marker = 'o')
marker - Punktor; 'x' - krzyżyk, 'o' - okrąg, '.' -punkt
więcej markerów dostępnych tutaj: https://matplotlib.org/stable/api/markers_api.html#module-matplotlib.markers


Tych samych argumentów używamy w wykresach zgrupowanych. 
Dodatkowe argumenty można znaleźć w dokumentacji.
'''

#--------------------------------#--------------------------------#
# WYKRES KOŁOWY
# Link do dokumentacji : https://matplotlib.org/stable/api/_as_gen/matplotlib.pyplot.pie.html
nazwy = ["Opis X1", "Opis X2", "Opis X3", "Opis X4"]    # Opisy kolejnych danych
plt.pie([X1, X2, X3, X4],                               # Kolejne dane
        labels = nazwy,                                 # Dodanie opisów do wykresu
        #explode = (0.040,0.040,0.040,0.040),           # odsunięcie od środka wykresu - opcjonalne
        #autopct = '%1.1f%%'                            # wartości procentowe pokazane na wykresie  - opcjonalne
        #textprops={'fontsize': "x-small"},             # zmniejszenie czcionki etykiet
        #startangle=90,                                 # ustawienie pierwszego wycinka
        #counterclock=False                             # układ zgodny z ruchem wskazówek zegara
        )
plt.title("Tytuł wykresu")                              # Nadanie tytułu wykresu
plt.show()                                              # Wyświetlenie wykresu




'''
Można dodać dodatkowe argumenty do .pie :
labels - nazwy kolejnych danych
explode - odsunięcie od środka wykresu poszczególnych fragmentów (krotka, zawierająca tyle wartości ile mamy kategorii)
autopct - pokazanie wartości przy każdym fragmencie 

Dodatkowe argumenty można znaleźć w dokumentacji.
'''


#--------------------------------#--------------------------------#
# WYKRES SŁUPKOWY
# Link do dokumentacji : https://matplotlib.org/stable/api/_as_gen/matplotlib.pyplot.bar.html
_, ax = plt.subplots(1)
ax.bar(daneX, daneY)
# ax.bar_label(ax.containers[0], label_type='edge')   # etykiety poszczególnych kolumn. Wymagany matplotlib w wersji >= 3.3.4
plt.title("Tytuł wykresu")  # Nadanie tytułu wykresu
plt.xlabel("Opis osi X")    # Opis osi X
plt.ylabel("Opis osi Y")    # Opis osi Y
plt.show()                  # Wyświetlenie wykresu

'''
Można dodać dodatkowe argumenty do .bar :
plt.bar(daneX, daneY, height = 10, width = 4 )
height - wysokość słupka(słupków - można podać tablicę z kolejnymi wysokościami)
width - szerokość słupków


Tych samych argumentów używamy w wykresach zestawionych i zgrupowanych. 
Dodatkowe argumenty można znaleźć w dokumentacji.
'''
#--------------------------------#--------------------------------#
#WYKRES SŁUPKOWY ZESTAWIONY

_, ax = plt.subplots(1)
ax.bar(daneX, daneY1)       
ax.bar(daneX, daneY2)       
plt.legend(['daneY1', 'daneY2'], loc = "best")   # Opisy danych
plt.title("Tytuł wykresu")              # Nadanie tytułu wykresu
plt.ylabel("Opis osi Y")                # Opis osi Y
plt.show()                              # Wyświetlenie wykresu



#--------------------------------#--------------------------------#
#WYKRES SŁUPKOWY ZGRUPOWANY
'''
Aby zbudować zgrupowany wykres kolumnowy w Pythonie
musimy przesunąć słupki, aby nie nachodziły na siebie. Dlatego definiujemy 
miejsce startowe 'm' oraz szerokość słupka 's' 
'''
m = np.arange(len(daneX))
s = 0.15    #szerokość słupka

plt.bar(daneX, daneY,  width = s)       # pierwszy słupek
plt.bar(m - s, daneY2, width = s)       # drugi słupek
plt.bar(m + s, daneY3, width = s)       # trzeci słupek
plt.bar(m + 2*s, daneY4, width = s)     # czwarty słupek
plt.legend(['daneY', 'daneY2', 'daneY3', 'daneY4'], loc = "best")   # Opisy danych
plt.title("Tytuł wykresu")              # Nadanie tytułu wykresu
plt.ylabel("Opis osi Y")                # Opis osi Y
plt.show()                              # Wyświetlenie wykresu





#--------------------------------#--------------------------------#
# HISTOGRAM
# Link do dokumentacji: https://matplotlib.org/stable/api/_as_gen/matplotlib.pyplot.hist.html

plt.hist(daneX)
plt.title("Tytuł wykresu")              # Nadanie tytułu wykresu
plt.ylabel("Opis osi Y")                # Opis osi Y
plt.show()                              # Wyświetlenie wykresu

'''
Można dodać dodatkowe argumenty do .hist. 
Do znalezienia w dokumentacji (raczej rzadko używane).
'''


#--------------------------------#--------------------------------#
#--------------------------------#--------------------------------#
#--------------------------------#--------------------------------#

'''
Uwaga:
w przykładzie wykresu liniowego zgrupowanego dodano legendę. 
Można ją dodać do każdego typu wykresu poleceniem:
plt.legend(['daneY', 'daneY2', 'daneY3', 'daneY4'], loc = "best")

parametr 'loc' określa lokalizację legendy. Można ją zmieniać następująco:
best; upper right; upper left; lower left; lower right; right; left; 
center left; center right; lower center; upper center; center;

Więcej w dokumentacji legendy: https://matplotlib.org/stable/api/_as_gen/matplotlib.pyplot.legend.html
'''